/**
 * \file bboard.h
 * \brief Bboard osztály deklarációja
 *
 */

#ifndef BBOARD_H
#define BBOARD_H

#include "Container.h"

/// Egy konkrét Widget konténer.
/// Hazudós, mert minden koordinátát magáénak gondol.
/// Így meghívódik az eseménykezelője, ami nem más, mint a
/// Container eseménykezelője.
/// Itt lehetne ablakhoz rendelni.
class Bboard : public Container {
public:
    /// Mivel igazi ablak nincs, a teljes képernyő a tárolóhoz tartozik.
    /// Minden pontot magáénak tekint.
    bool contains(const Point& p) {
        Container::contains(p);
        return true;
    }
};

#endif // BBOARD_H
