/**
 * \file widget.cpp
 * \brief Widget osztály tagfüggvényeinek megvalósítása
 */
#include "widget.h"
#include "memtrace.h"

SDL_Renderer* Widget::renderer;  ///< statikus tag létrehozása

/// move - eltolja a widget origóját
/// @param d - eltolás
void Widget::move(const Point& d) {
    Color tsz = fg; // tényleges rajzolási szín elmentése
    fg = bg;        // rajzolási szín legyen a háttér színe
    draw(); 		// letörlés az eredeti helyről
    p0 += d;  	    // mozgatás: a pozíció változik
    fg = tsz;		// rajzolási szín a tényleges szín
    draw(); 		// felrajzolás az új pozícióra
}
